Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.relateddomainext
Class EPPRelatedDomainExtName

    java.lang.Object
      com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtName

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRelatedDomainExtName

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a tag

Title: EPP 1.0 Related Domain - name tag

Description: The EPPRelatedDomainExtName object represents the domain name. As XML, it is represented by a element.

Copyright: Copyright (c) 2013

Company: VeriSign

Version:
  1.0
Author:
  nchigurupati
See Also:
  Serialized Form

Constructor Summary
`EPPRelatedDomainExtName()` Default constructor
`EPPRelatedDomainExtName(java.lang.String aDomainName)`

Method Summary
`java.lang.Object` | `clone()` Clone `EPPRelatedDomainExtName`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPRelatedDomainExtName attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the EPPRelatedDomainExtName instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRelatedDomainExtName` compare.
`java.lang.String` | `getDomainName()` Returns the domainName
`void` | `setDomainName(java.lang.String domainName)` Sets domainName value to domainName
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPRelatedDomainExtName

    public EPPRelatedDomainExtName()

  Default constructor

### EPPRelatedDomainExtName

    public EPPRelatedDomainExtName(java.lang.String aDomainName)

Parameters:
  `aDomainName` -

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRelatedDomainExtName`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRelatedDomainExtName`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the EPPRelatedDomainExtName attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - - Root DOM Element to decode EPPRelatedDomainExtName from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the EPPRelatedDomainExtName instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element - Root DOM Element representing the EPPRelatedDomainExtName instance.
  Throws:
    `EPPEncodeException` - - Unable to encode EPPRelatedDomainExtName instance.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRelatedDomainExtName` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPRelatedDomainExtName` instance to compare with
  Returns:
    true if both instances of the EPPRelatedDomainExtName are equal.

### getDomainName

    public java.lang.String getDomainName()

  Returns the domainName

  Returns:
    the domainName

### setDomainName

    public void setDomainName(java.lang.String domainName)

  Sets domainName value to domainName

  Parameters:
    `domainName` - the domainName to set

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.